Services_OpenStreetMap

# Class: Services_OpenStreetMap_User

Source Location: /OpenStreetMap/User.php

### Class Overview

Services_OpenStreetMap_User

#### Author(s):

- Ken Guest <kguest@php.net>

### Variables

- $preferences

### Methods

- getAccountCreated
- getActiveBlocksIssued
- getActiveBlocksReceived
- getAttributes
- getBlocksIssued
- getBlocksReceived
- getChangesets
- getDescription
- getDisplayName
- getId
- getImage
- getLanguages
- getLat
- getLon
- getPreferences
- getRoles
- getTraces
- getZoom
- setPreferencesXml
- setXml

### Class Details

[line 25]
Services_OpenStreetMap_User

#### Tags:

author: | Ken Guest <kguest@php.net>
link: | User.php
license: | BSD

[ Top ]

### Class Variables

#### $preferences = array()

[line 28]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### method getAccountCreated [line 83]

`string getAccountCreated( )`

Retrieve date, as a string, representing when the user's account was created.

#### Tags:

access: | public

[ Top ]

### method getActiveBlocksIssued [line 265]

`integer getActiveBlocksIssued( )`

The number of active blocks issued by the user.

#### Tags:

access: | public

[ Top ]

### method getActiveBlocksReceived [line 235]

`integer getActiveBlocksReceived( )`

The number of active blocks received by the user.

#### Tags:

access: | public

[ Top ]

### method getAttributes [line 62]

`string getAttributes( )`

Return the attributes set for this user instance.

#### Tags:

access: | public

[ Top ]

### method getBlocksIssued [line 250]

`integer getBlocksIssued( )`

The [total] number of blocks issued by the user.

#### Tags:

access: | public

[ Top ]

### method getBlocksReceived [line 220]

`integer getBlocksReceived( )`

The [total] number of blocks received by the user.

#### Tags:

access: | public

[ Top ]

### method getChangesets [line 190]

`integer getChangesets( )`

The number of changesets opened by the user.

#### Tags:

access: | public

[ Top ]

### method getDescription [line 93]

`string getDescription( )`

Return the description set for the user.

#### Tags:

access: | public

[ Top ]

### method getDisplayName [line 72]

`string getDisplayName( )`

Return the display name of the user.

#### Tags:

return: | display name of user.
access: | public

[ Top ]

### method getId [line 104]

`integer getId( )`

Retrieve the id of the user.

#### Tags:

return: | id of the object
access: | public

[ Top ]

### method getImage [line 114]

`string getImage( )`

Return href to user's profile image, null if not set.

#### Tags:

access: | public

[ Top ]

### method getLanguages [line 128]

`array getLanguages( )`

Return an array of the user's preferred languages.

#### Tags:

access: | public

[ Top ]

### method getLat [line 146]

`float getLat( )`

Latitude of 'home' setting for user.

#### Tags:

access: | public

[ Top ]

### method getLon [line 160]

`float getLon( )`

Longitude of 'home' setting for user.

#### Tags:

access: | public

[ Top ]

### method getPreferences [line 299]

`array getPreferences( )`

return an array of the user's preferences.

#### Tags:

access: | public

[ Top ]

### method getRoles [line 280]

`array getRoles( )`

Array of names of roles associated with the user.

#### Tags:

access: | public

[ Top ]

### method getTraces [line 205]

`integer getTraces( )`

The number of traces uploaded by the user.

#### Tags:

access: | public

[ Top ]

### method getZoom [line 175]

`integer getZoom( )`

Zoom level of 'home' setting for user.

#### Tags:

access: | public

[ Top ]

### method setPreferencesXml [line 51]

`void setPreferencesXml( mixed $xml)`

setPreferencesXml

#### Tags:

access: | public

#### Parameters:

mixed | $xml | XML describing a user's preferences.

[ Top ]

### method setXml [line 37]

`Services_OpenStreetMap_User setXml( SimpleXMLElement $xml)`

setXml

#### Tags:

access: | public

#### Parameters:

SimpleXMLElement | $xml | XML describing a user.

[ Top ]

Documentation generated on Wed, 26 Sep 2012 01:24:54 +0100 by phpDocumentor 1.4.4